oracle.pg.text.solr

## Class SolrIndexUtils

- java.lang.Object
- - oracle.pg.text.OracleIndexUtils
  - - oracle.pg.text.solr.SolrIndexUtils

-     public class SolrIndexUtils
      extends oracle.pg.text.OracleIndexUtils

  This class contains a set of utilities to handle text search and text indexes over SolrCloud

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrIndexUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.solr.client.solrj.impl.CloudSolrServer` | `getCloudSolrServer(String solrServerUrl, String directoryName, int zkTimeout, long writeTimeout)` Gets a new CloudSolrServer object to handle operations over the index.
    `static void` | `quietlyCloseCloudSolrServer(org.apache.solr.client.solrj.impl.CloudSolrServer cloudSolrServer)` Closes the specified CloudSolrServer object

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrIndexUtils

          public SolrIndexUtils()

  - ### Method Detail

    - #### getCloudSolrServer

          public static org.apache.solr.client.solrj.impl.CloudSolrServer getCloudSolrServer(String solrServerUrl,
                                                                             String directoryName,
                                                                             int zkTimeout,
                                                                             long writeTimeout)

      Gets a new CloudSolrServer object to handle operations over the index.
      Parameters:
        `solrServerUrl` - the SolrCloud server URL used to connect to the SolrCloud service. E.g., http://localhost:2181/solr
        `directoryName` - the name of the directory
        `zkTimeout` - a positive integer representing the timeout (in seconds) used to wait for a Zookeeper connection.
        `writeTimeout` - the timeout (in secs) that is allowed to wait for a index write operation.
      Returns:
        a new instance of CloudSolrServer

    - #### quietlyCloseCloudSolrServer

          public static void quietlyCloseCloudSolrServer(org.apache.solr.client.solrj.impl.CloudSolrServer cloudSolrServer)

      Closes the specified CloudSolrServer object
      Parameters:
        `cloudSolrServer` - a `CloudSolrServer` object

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.